@echo .
@echo Collaborative Data Sharing Plugin for JFerret
@echo .
@echo Author: Ing. Jan Peciva
@echo Copyright (c) 2003-2006 Brno University of Technology
@echo .
@echo The plugin demonstrates remote interaction of several possibly distant
@echo participants that are provided by collaborative interaction capabilities.
@echo The participants can collaboratively view the model, focus on different
@echo parts of the model, and collaboratively interact with the model.
@echo The interaction is demonstrated by a tool that is able to extract piece of
@echo geometry from the model. The participants share the tool collaboratively
@echo and they make the changes to the model together.
@echo .
@echo .
@echo Network Setup:
@echo 1. Run the plugin on two (or more) computers.
@echo 2. Select Options and choose "Run Server" on one computer. Press Ok.
@echo    Waiting screen and IP address of the computer will appear.
@echo 3. Select "Run Client" on all remaining computers and use IP address
@echo    of the server computer. Press Ok. Connected computers will start
@echo    to appear on waiting screen.
@echo 4. If firewall pops up, allow network connections. If some computer can
@echo    not connect, check firewall settings and IP:port addresses.
@echo 5. Press start button.
@echo .
@echo .
@echo Application Usage:
@echo .
@echo The Application is showing a model and a tool. The tool can be moved,
@echo rotated and scaled by the mouse. For moving use the "plane" of the
@echo manipulator that is around the tool. For vertical movements use the
@echo vertical boxes. Scale is done by ending cubes and rotation by lines
@echo that are connecting ending boxes.
@echo .
@echo By pressing "Cut", the tool extract piece of geometry from the model.
@echo Please note, that cut operations are often computationally expensive
@echo and they may take few moments depending on the model complexity.
@echo .
@echo Button "Go To" moves the camera closer to a particular point of interest
@echo that is selected by mouse click. When the user finishes his examination,
@echo he can move back by "Reset View" button. "Load" button can be used to
@echo load different models.
@echo .
@echo .
@echo Requirements: Java 1.5, OpenGL capable hardware
@echo .
@echo Bug reports: peciva@fit.vutbr.cz

java -classpath jferret.jar;.\;SoSwing.jar;CoinJava.jar;jogl.jar;.\sensorQueueChangedCBCallback.class ch.idiap.jferret.JFerret CDSPage.xml